# https://pypi.org/project/pyfcm/
from pyfcm import FCMNotification

# апишный ключ, достается где-то из админки конкретного приложения
push_service = FCMNotification(api_key="################")

data_message = {
   "eventName"          : "EVENT_TITLE",  # заголовок сообщения,  необходимо для отображения пуша
   "eventMessage"       : "EVENT_BODY",   # текст сообщения,      необходимо для отображения пуша
   "eventType"          : "1",            # 0 - показать только заголовок и сообщение; 1 - показать красивое сообщение со всеми плюшками
#  "eventID"            : "EVENT_ID",     # id евента для машинки-обработчика
#  "eventPriority"      : "2"             # приоритет пуша [-2:2], по дефолту 2
#  "eventTime"          : "1541507205"    # время запуска пуша в UTC секундах (если отсутствует или меньше текущей - сразу показать)
  "evetBigPicture"     : "https://apps.absolutist.com/images/profile/no_avatar.png",   # бекграунд пуша
  "eventTitleColor"    : "#FF0000FF",     # ARGB цвет заголовка
  "eventTextColor"     : "#FFFF0000",     # ARGB цвет текста

   "eventID"            : "custom_message",
   "customTitle"        : "FCM RULES",
   "customText"         : "SuperBananaDebugging 322"
}

topic_name = "debugnews" # название топика, в который будет отправлено сообщение

result = push_service.notify_topic_subscribers(topic_name=topic_name, data_message=data_message)

print (result)